// @buildsys IMPORTED: DO NOT EDIT! 
{
	"format_version": "1.10.0",
	"animations": {
		"animation.mnp_ci.orca.swim": {
			"loop": true,
			"bones": {
				"body_front": {
					"rotation": ["math.atan(0.2*math.cos(q.anim_time*300))/math.atan(0.2) * 1.5 +1", 0, "math.cos(q.anim_time*75) * 2"],
					"position": [0, "math.sin(q.anim_time*300+80)*math.clamp(v.magn*7,0,1)", "-math.pow(math.sin(q.anim_time*150-60),4)*4*math.clamp(v.magn*7,0,1)"]
				},
				"head": {
					"rotation": [2, 0, 0]
				},
				"body_back": {
					"rotation": ["math.atan(0.2*math.cos(q.anim_time*300-60))/math.atan(0.2) * 3 -4", 0, 0]
				},
				"tail": {
					"rotation": ["math.cos(q.anim_time*300-80) * 10 -3", 0, 0]
				},
				"leftFin": {
					"rotation": ["-math.sin(q.anim_time*240)*4", "-math.sin(q.anim_time*240+40)*8 +10", "-math.sin(q.anim_time*240-30)*8 +20"]
				},
				"tailFin": {
					"rotation": ["math.cos(q.anim_time*300-100) * 10 -2", 0, 0]
				},
				"rightFin": {
					"rotation": ["-math.sin(q.anim_time*240+10)*4", "math.sin(q.anim_time*240+50)*8 -10", "math.sin(q.anim_time*240-20)*8 -20"]
				},
				"dorsalFin": {
					"rotation": [0, 0, "-math.cos(q.anim_time*75)"]
				}
			}
		},
		"animation.mnp_ci.orca.swim.angle": {
			"loop": true,
			"bones": {
				"root": {
					"rotation": ["v.pitch*0.7", "v.yaw_speed*0.7", 0],
					"position": ["math.sin(v.yaw_speed)*1", "(1-math.cos(v.pitch))*4", "math.sin(v.pitch)*8"]
				},
				"body_front": {
					"rotation": ["v.pitch*0.1", 0, "v.yaw_speed*(1-math.cos(v.pitch))*-0.5"]
				},
				"head": {
					"rotation": ["v.pitch*0.1", "v.yaw_speed*0.2", 0]
				},
				"body_back": {
					"rotation": ["v.pitch*-0.15", "v.yaw_speed*-0.3", "v.yaw_speed*0.2"]
				},
				"tail": {
					"rotation": ["v.pitch*-0.1", "v.yaw_speed*-0.1", "v.yaw_speed*0.2"]
				},
				"tailFin": {
					"rotation": ["v.pitch*-0.1", "v.yaw_speed*-0.1", 0]
				},
				"dorsalFin": {
					"rotation": [0, 0, "-v.yaw_speed*0.03"]
				}
			}
		},
		"animation.mnp_ci.orca.flop": {
			"loop": true,
			"bones": {
				"body_front": {
					"rotation": ["math.pow(math.cos(q.anim_time*200-40),4) * 10 -4", "math.cos(q.anim_time*500) * 4", "v.zrot*0.1"],
					"position": [0, -5, 0]
				},
				"head": {
					"rotation": ["math.pow(math.cos(q.anim_time*200-15),2) * 15", "math.cos(q.anim_time*500) * 3*0", 0]
				},
				"mouth": {
					"rotation": [2, 0, 0]
				},
				"body_back": {
					"rotation": ["math.pow(math.cos(q.anim_time*200-20),4) * -8", "math.cos(q.anim_time*500) * -3", 4]
				},
				"tail": {
					"rotation": ["math.pow(math.cos(q.anim_time*200-30),4) * -13", "math.cos(q.anim_time*500+20) * -3", 10]
				},
				"leftFin": {
					"rotation": [0, "-v.zrot*0.1", "-5-v.zrot*0.2"]
				},
				"tailFin": {
					"rotation": ["math.pow(math.cos(q.anim_time*200),4) * 10", 0, 0]
				},
				"rightFin": {
					"rotation": [0, "-v.zrot*0.1", "-5-v.zrot*0.2"]
				},
				"dorsalFin": {
					"rotation": [0, 0, "math.cos(q.anim_time*500+60) * 4"]
				}
			}
		},
		"animation.mnp_ci.orca.bite": {
			"loop": true,
			"bones": {
				"body_front": {
					"rotation": [0, "math.sin(v.attack_time*400)*math.sin(v.attack_time*180)*-6", "math.atan(2*math.sin(v.attack_time*180))/math.atan(2)*10"],
					"position": [
						"math.sin(v.attack_time*180)*-2",
						"math.sin(v.attack_time*340)*math.sin(v.attack_time*180)*1",
						"math.sin(v.attack_time*230)*math.sin(v.attack_time*180)*-7"
					]
				},
				"head": {
					"rotation": ["math.sin(v.attack_time*200)*math.sin(v.attack_time*180)*-6", "math.sin(v.attack_time*100)*math.sin(v.attack_time*180)*-3", 0]
				},
				"mouth": {
					"rotation": ["math.sin(math.min(1,v.attack_time*1.2)*180)*45", 0, 0],
					"position": [0, "math.sin(math.min(1,v.attack_time*2)*180)*-2", 0]
				},
				"body_back": {
					"rotation": [
						"math.sin(v.attack_time*180)*-4+math.sin(v.attack_time*300)*math.sin(v.attack_time*180)*-5",
						"math.sin(v.attack_time*360)*math.sin(v.attack_time*180)*5",
						0
					]
				},
				"tail": {
					"rotation": ["math.sin(v.attack_time*180)*-4+math.sin(v.attack_time*200-40)*math.sin(v.attack_time*180)*-8", 0, 0]
				},
				"leftFin": {
					"rotation": [0, 0, "math.sin(v.attack_time*340)*math.sin(v.attack_time*180)*20"]
				},
				"tailFin": {
					"rotation": ["math.sin(v.attack_time*200)*math.sin(v.attack_time*180)*-10", 0, 0]
				},
				"rightFin": {
					"rotation": [0, 0, "math.sin(v.attack_time*340)*math.sin(v.attack_time*180)*-20"]
				},
				"dorsalFin": {
					"rotation": [0, 0, "math.sin(v.attack_time*360)*-4"]
				}
			}
		}
	}
}